aboutsummaryrefslogtreecommitdiffstats
path: root/yardstick/resources
diff options
context:
space:
mode:
authorJingLu5 <lvjing5@huawei.com>2016-06-28 14:26:08 +0800
committerJingLu5 <lvjing5@huawei.com>2016-06-28 14:31:24 +0800
commitf8b52ec5839c804be2f866393462f85f530160d9 (patch)
treed42769e39e592ae84117b5cafc3e4538ccbdf8b1 /yardstick/resources
parent675eef731a098f83aa98c2021b151b7e5ba1da7d (diff)
Add plugin Command
Change-Id: I8976ddf3dd43813ee38051dc4b0030265b85c3ef Signed-off-by: JingLu5 <lvjing5@huawei.com>
Diffstat (limited to 'yardstick/resources')
-rw-r--r--yardstick/resources/script/install/sample.bash18
-rw-r--r--yardstick/resources/script/remove/sample.bash16
2 files changed, 34 insertions, 0 deletions
diff --git a/yardstick/resources/script/install/sample.bash b/yardstick/resources/script/install/sample.bash
new file mode 100644
index 000000000..21eb14680
--- /dev/null
+++ b/yardstick/resources/script/install/sample.bash
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Sample plugin installation script
+
+set -e
+
+cat > test.sh <<EOF
+echo "{\"Test Output\": \"Hello world!\"}"
+EOF
diff --git a/yardstick/resources/script/remove/sample.bash b/yardstick/resources/script/remove/sample.bash
new file mode 100644
index 000000000..15618df2d
--- /dev/null
+++ b/yardstick/resources/script/remove/sample.bash
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Sample plugin remove script
+
+set -e
+
+rm test.sh